NXOpen.UF.Modl.CreateRevolved

Modl.CreateRevolved()

Refer to UF_MODL_create_revolved for documentation.

Signature: CreateRevolved(objIdList, limit, point, direction, sign)

Parameters:
  • objIdList (NXOpen.UF.UF.List Refer to ` <../ugopen_doc/uf/.html>`_ for documentation.) – List of objects or one section builder object tag but not both, to be revolved
  • limit (list of str) – Limits of revolution. The declaration should be *limit[2], where limit[0] = start angle and limit[1] = end angle. Angles are in degrees.
  • point (list of float) – Point
  • direction (list of float) – Revolution axis.
  • sign (NXOpen.UF.Modl.FeatureSigns Refer to UF_FEATURE_SIGNS for documentation.) – The sign of the operation to be performed. UF_NULLSIGN = create new target solid UF_POSITIVE = add to target solid UF_NEGATIVE = subtract from target solid UF_UNSIGNED = intersect with target solid
Returns:

List of feature identifiers created. This list must be freed by calling UF_MODL_delete_list.

Return type:

NXOpen.UF.UF.List Refer to ` <../ugopen_doc/uf/.html>`_ for documentation.

License requirements: SOLIDS MODELING